Create monitoring rule
curl --request POST \
--url https://api.secureannex.com/v0/organization/{organization_id}/monitor \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"destination_id": "<string>",
"extension_id": "<string>",
"watch_all": false,
"watch_items": [
"version",
"manifest",
"visibility",
"ownership",
"verdict",
"score",
"code_changes"
],
"note": "<string>",
"platform": "chrome"
}
'import requests
url = "https://api.secureannex.com/v0/organization/{organization_id}/monitor"
payload = {
"destination_id": "<string>",
"extension_id": "<string>",
"watch_all": False,
"watch_items": ["version", "manifest", "visibility", "ownership", "verdict", "score", "code_changes"],
"note": "<string>",
"platform": "chrome"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destination_id: '<string>',
extension_id: '<string>',
watch_all: false,
watch_items: [
'version',
'manifest',
'visibility',
'ownership',
'verdict',
'score',
'code_changes'
],
note: '<string>',
platform: 'chrome'
})
};
fetch('https://api.secureannex.com/v0/organization/{organization_id}/monitor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.secureannex.com/v0/organization/{organization_id}/monitor",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'destination_id' => '<string>',
'extension_id' => '<string>',
'watch_all' => false,
'watch_items' => [
'version',
'manifest',
'visibility',
'ownership',
'verdict',
'score',
'code_changes'
],
'note' => '<string>',
'platform' => 'chrome'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.secureannex.com/v0/organization/{organization_id}/monitor"
payload := strings.NewReader("{\n \"destination_id\": \"<string>\",\n \"extension_id\": \"<string>\",\n \"watch_all\": false,\n \"watch_items\": [\n \"version\",\n \"manifest\",\n \"visibility\",\n \"ownership\",\n \"verdict\",\n \"score\",\n \"code_changes\"\n ],\n \"note\": \"<string>\",\n \"platform\": \"chrome\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.secureannex.com/v0/organization/{organization_id}/monitor")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"destination_id\": \"<string>\",\n \"extension_id\": \"<string>\",\n \"watch_all\": false,\n \"watch_items\": [\n \"version\",\n \"manifest\",\n \"visibility\",\n \"ownership\",\n \"verdict\",\n \"score\",\n \"code_changes\"\n ],\n \"note\": \"<string>\",\n \"platform\": \"chrome\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.secureannex.com/v0/organization/{organization_id}/monitor")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"destination_id\": \"<string>\",\n \"extension_id\": \"<string>\",\n \"watch_all\": false,\n \"watch_items\": [\n \"version\",\n \"manifest\",\n \"visibility\",\n \"ownership\",\n \"verdict\",\n \"score\",\n \"code_changes\"\n ],\n \"note\": \"<string>\",\n \"platform\": \"chrome\"\n}"
response = http.request(request)
puts response.read_body{
"result": [
{
"rule_id": "rule123",
"organization_id": "org123",
"extension_id": "abcdef1234567890abcdef1234567890",
"watch_all": false,
"watch_items": [
"version",
"manifest",
"visibility",
"ownership",
"verdict",
"score",
"code_changes"
],
"destination_id": "dest123",
"note": "Monitor for security issues",
"platform": "chrome",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"details": "<string>"
}{
"error": "Authentication required"
}{
"error": "Access forbidden"
}{
"error": "Daily API quota exceeded",
"limit": 100,
"reset_at": "2024-01-16T00:00:00Z"
}{
"error": "<string>",
"details": "<string>"
}Monitoring
Create monitoring rule
Create a new monitoring rule for an organization
POST
/
organization
/
{organization_id}
/
monitor
Create monitoring rule
curl --request POST \
--url https://api.secureannex.com/v0/organization/{organization_id}/monitor \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"destination_id": "<string>",
"extension_id": "<string>",
"watch_all": false,
"watch_items": [
"version",
"manifest",
"visibility",
"ownership",
"verdict",
"score",
"code_changes"
],
"note": "<string>",
"platform": "chrome"
}
'import requests
url = "https://api.secureannex.com/v0/organization/{organization_id}/monitor"
payload = {
"destination_id": "<string>",
"extension_id": "<string>",
"watch_all": False,
"watch_items": ["version", "manifest", "visibility", "ownership", "verdict", "score", "code_changes"],
"note": "<string>",
"platform": "chrome"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destination_id: '<string>',
extension_id: '<string>',
watch_all: false,
watch_items: [
'version',
'manifest',
'visibility',
'ownership',
'verdict',
'score',
'code_changes'
],
note: '<string>',
platform: 'chrome'
})
};
fetch('https://api.secureannex.com/v0/organization/{organization_id}/monitor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.secureannex.com/v0/organization/{organization_id}/monitor",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'destination_id' => '<string>',
'extension_id' => '<string>',
'watch_all' => false,
'watch_items' => [
'version',
'manifest',
'visibility',
'ownership',
'verdict',
'score',
'code_changes'
],
'note' => '<string>',
'platform' => 'chrome'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.secureannex.com/v0/organization/{organization_id}/monitor"
payload := strings.NewReader("{\n \"destination_id\": \"<string>\",\n \"extension_id\": \"<string>\",\n \"watch_all\": false,\n \"watch_items\": [\n \"version\",\n \"manifest\",\n \"visibility\",\n \"ownership\",\n \"verdict\",\n \"score\",\n \"code_changes\"\n ],\n \"note\": \"<string>\",\n \"platform\": \"chrome\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.secureannex.com/v0/organization/{organization_id}/monitor")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"destination_id\": \"<string>\",\n \"extension_id\": \"<string>\",\n \"watch_all\": false,\n \"watch_items\": [\n \"version\",\n \"manifest\",\n \"visibility\",\n \"ownership\",\n \"verdict\",\n \"score\",\n \"code_changes\"\n ],\n \"note\": \"<string>\",\n \"platform\": \"chrome\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.secureannex.com/v0/organization/{organization_id}/monitor")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"destination_id\": \"<string>\",\n \"extension_id\": \"<string>\",\n \"watch_all\": false,\n \"watch_items\": [\n \"version\",\n \"manifest\",\n \"visibility\",\n \"ownership\",\n \"verdict\",\n \"score\",\n \"code_changes\"\n ],\n \"note\": \"<string>\",\n \"platform\": \"chrome\"\n}"
response = http.request(request)
puts response.read_body{
"result": [
{
"rule_id": "rule123",
"organization_id": "org123",
"extension_id": "abcdef1234567890abcdef1234567890",
"watch_all": false,
"watch_items": [
"version",
"manifest",
"visibility",
"ownership",
"verdict",
"score",
"code_changes"
],
"destination_id": "dest123",
"note": "Monitor for security issues",
"platform": "chrome",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"details": "<string>"
}{
"error": "Authentication required"
}{
"error": "Access forbidden"
}{
"error": "Daily API quota exceeded",
"limit": 100,
"reset_at": "2024-01-16T00:00:00Z"
}{
"error": "<string>",
"details": "<string>"
}Authorizations
API key for authentication
Path Parameters
Organization ID
Body
application/json
Destination ID for notifications
Extension ID to monitor
Whether to watch all items
Specific items to watch
Available options:
version, manifest, visibility, ownership, verdict, score, code_changes Example:
[
"version",
"manifest",
"visibility",
"ownership",
"verdict",
"score",
"code_changes"
]
Rule note
Platform to monitor
Available options:
chrome, firefox, edge, vscode, openvsx Response
Rule created successfully
Show child attributes
Show child attributes
